package com.ozs.plan.doman.vo.responseVo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.system.domain.SysFileRef;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class ProvisionalPlanResVo implements Serializable {

    private Long planPracticalId;

    private Long planYearId;

    private String purchaseDeptId;

    @Excel(name = "采购单位")
    private String purchaseDeptName;

    @Excel(name = "项目名称")
    private String projectName;

    private String projectType;
    @Excel(name = "项目类型")
    private String projectTypeStr;

    @Excel(name = "需求概况")
    private String demandOverview;

    @Excel(name = "概算金额（万元）")
    private BigDecimal evaluation;

    private String isExcess;

    private String purchaseServices;
    @Excel(name = "采购服务站")
    private String purchaseServicesStr;
    /**
     * 机关业务指导处(科)
     */
    private String organDivision;
    private String organDivisionStr;
    /**
     * 预算科目
     */
    private String budgetAccount;
    private String budgetAccountStr;
    @Excel(name = "计划提报需求时间", dateFormat = "yyyy-MM")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date planDemandSubTime;

    @Excel(name = "计划完成采购时间", dateFormat = "yyyy-MM")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date planPurchaseFinishTime;

    @Excel(name = "计划交付（实施）时间", dateFormat = "yyyy-MM")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date planDeliverTime;

    private String projectAttr;
    @Excel(name = "项目属性")
    private String projectAttrName;

    @Excel(name = "计划调整情况及理由")
    private String adjustReason;

    @Excel(name = "备注")
    private String remarks;

    private String projectStatus;
    @Excel(name = "项目状态")
    private String projectStatusStr;
    private String refuseReason;

    private String delFlay;

    private String planType;

    private String created;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String updated;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 上传附件
     */
    List<SysFileRef> sysFileRefs;

    /**
     * 是否显示审核按钮 （true:显示，false：不显示）
     */
    private Boolean flag;
}
